cancel
Showing results for 
Search instead for 
Did you mean: 

swagger codegen uses which version of the api

SOLVED
New Contributor

swagger codegen uses which version of the api

I am looking forward to use version 0.18.0 of the api, but i have been using swagger codegen to create all my rest apis. Do you know which version swagger codegen uses and /or when they intent to move to release 0.18.0.

 

In all honesty, what i need is the "x-omitempty" and it seems to be availoable in 0.17.2 and up, so any of those two would suffice :-)

 

thanks in advance for your answers!

 

1 ACCEPTED SOLUTION

Accepted Solutions
Moderator

Re: swagger codegen uses which version of the api

go-swagger is not one of our projects and we don't have real knowledge of it to be able to provide support for it. When it comes to the codegen, the templates/generators we provide can be used as a basis for any kind of change you want to make. So if you want to add a specific extension, you're welcome to modify the template to do so.


Did my reply answer your question? Give Kudos or Accept it as a Solution to help others.↓↓↓↓↓

View solution in original post

3 REPLIES 3
Highlighted
Moderator

Re: swagger codegen uses which version of the api

When you mention version 0.18.0 and 0.17.2, which product are you talking about? We don't have any product using those versions.


Did my reply answer your question? Give Kudos or Accept it as a Solution to help others.↓↓↓↓↓
New Contributor

Re: swagger codegen uses which version of the api

Thanks for your answer....

 

I am actually looking at supporting the x-omitempty tag and i've seen that it was fixed in version 0.17.2 as per https://goswagger.io/

 

I understood this to be some sort of standard so i was wondering which version your swagger codegen was based on? I used swagger codegen for lots of API but i would need to have them all updated with that x-omitempty tag, so i was hoping i could get it by using a specific version of yours.

 

thanks again...

 

Moderator

Re: swagger codegen uses which version of the api

go-swagger is not one of our projects and we don't have real knowledge of it to be able to provide support for it. When it comes to the codegen, the templates/generators we provide can be used as a basis for any kind of change you want to make. So if you want to add a specific extension, you're welcome to modify the template to do so.


Did my reply answer your question? Give Kudos or Accept it as a Solution to help others.↓↓↓↓↓

View solution in original post